Description

Even though the templates are set correctly, when hitting "Resolve" the response is always "Sorry but no templates were configured".

Provisioning itself is not affected and works as expected though.

Further investigation showed the problem is in mass assignment that happens in the background call triggered by the button:

 | ActiveModel::MassAssignmentSecurity::Error (Can't mass-assign protected attributes: 0, new_inte

rfaces):

 |   app/models/concerns/foreman/sti.rb:22:in `new'

 |   app/models/concerns/foreman/sti.rb:22:in `new_with_cast'

 |   app/models/host/base.rb:75:in `initialize'

 |   app/models/host/managed.rb:49:in `initialize'

 |   app/models/concerns/foreman/sti.rb:22:in `new'

 |   app/models/concerns/foreman/sti.rb:22:in `new_with_cast'

 |   app/models/host.rb:15:in `method_missing'

 |   app/controllers/hosts_controller.rb:549:in `template_used'

 |   app/controllers/concerns/application_shared.rb:13:in `set_timezone'

 |   app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 |   lib/middleware/catch_json_parse_errors.rb:9:in `call'

 It was introduced by fix for http://projects.theforeman.org/issues/9058

Related issues:

Related to Foreman - Bug #11768: Switching organization or location fails wit... Resolved 09/10/2015

Related to Foreman - Bug #9058: Changing organization/location when creating ... Closed 01/21/2015

Related to Foreman - Bug #8405: Resolve Templates button on Host#edit broken ... Closed 11/14/2014

Associated revisions

Revision 585329f5 - 09/25/2015 11:11 AM - Marek Hulán

Fixes #11767 - avoid cleaning of interface attributes

History

#1 - 09/10/2015 10:37 AM - Tomáš Strachota

- Related to Bug #11768: Switching organization or location fails with mass assignment security error added

#2 - 09/10/2015 10:38 AM - Tomáš Strachota

- Related to Bug #9058: Changing organization/location when creating new host resets interfaces setup added

#3 - 09/10/2015 10:40 AM - Dominic Cleal

- Category changed from Web Interface to Host creation

- translation missing: en.field_release set to 63
#4 - 09/12/2015 03:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2711 added

- Pull request deleted ()

#5 - 09/14/2015 04:37 AM - Marek Hulán

- Related to Bug #8405: Resolve Templates button on Host#edit broken for multi-nic systems added

#6 - 09/17/2015 05:52 AM - Dominic Cleal

- Assignee set to Marek Hulán

- Pull request https://github.com/theforeman/foreman/pull/2713 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2711)

#7 - 09/25/2015 12:01 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 585329f5ef5980811b374a43dff57fc69c32e1c5.
